# Uses of Interface
org.eclipse.birt.core.archive.IStreamSorter

Packages that use IStreamSorter
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound

## Uses of IStreamSorter in org.eclipse.birt.core.archive

Methods in org.eclipse.birt.core.archive with parameters of type IStreamSorter
Modifier and Type
Method
Description
`static void`
ArchiveUtil.`archive(String folderName, IStreamSorter sorter, String fileName)`
Compound File Format:
1long(stream section position) + 1long(entry number in lookup map) + lookup map section + stream data section
The Lookup map is a hash map.
`static void`
ArchiveUtil.`archive(String folderName, IStreamSorter sorter, String fileName, boolean contentEscape)`
Compound File Format:
1long(stream section position) + 1long(entry number in lookup map) + lookup map section + stream data section
The Lookup map is a hash map.
`void`
FolderArchive.`setStreamSorter(IStreamSorter streamSorter)`
`void`
FolderArchiveWriter.`setStreamSorter(IStreamSorter streamSorter)`
`void`
IDocArchiveWriter.`setStreamSorter(IStreamSorter streamSorter)`
Set the stream sorter (if needed).

## Uses of IStreamSorter in org.eclipse.birt.core.archive.compound

Methods in org.eclipse.birt.core.archive.compound with parameters of type IStreamSorter
Modifier and Type
Method
Description
`void`
ArchiveWriter.`setStreamSorter(IStreamSorter streamSorter)`